module.exports = {
    collectCoverageFrom: [
        "./src/**/*.ts",
        "!./src/**/*.d.ts",
        "!./src/**/*.stubs.ts",
        "!./src/adapters/*.ts",
        "!./src/api/*.ts",
        "!./src/cli/main.ts",
        "!./src/converters/editorConfigs/editorSettingsConverters.ts",
        "!./src/converters/lintConfigs/rules/ruleConverters.ts",
        "!./src/converters/lintConfigs/rules/ruleMergers.ts",
    ],
    coverageThreshold: {
        global: {
            branches: 100,
            functions: 100,
            lines: 100,
            statements: 100,
        },
    },
    moduleFileExtensions: ["ts", "tsx", "js", "jsx", "json", "node"],
    testRegex: "src(.*)\\.test\\.tsx?$",
    testEnvironment: "node",
};
